Package org.apache.avro.io.parsing

# Class Symbol.ImplicitAction

java.lang.Object
org.apache.avro.io.parsing.Symbol
org.apache.avro.io.parsing.Symbol.ImplicitAction

Direct Known Subclasses:
  `Symbol.DefaultStartAction`, `Symbol.ErrorAction`, `Symbol.FieldAdjustAction`, `Symbol.FieldOrderAction`, `Symbol.ResolvingAction`, `Symbol.SkipAction`, `Symbol.UnionAdjustAction`, `Symbol.WriterUnionAction`

Enclosing class:
  `Symbol`

public static class Symbol.ImplicitAction extends Symbol

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.avro.io.parsing.Symbol

`Symbol.Alternative, Symbol.DefaultStartAction, Symbol.EnumAdjustAction, Symbol.EnumLabelsAction, Symbol.ErrorAction, Symbol.FieldAdjustAction, Symbol.FieldOrderAction, Symbol.ImplicitAction, Symbol.IntCheckAction, Symbol.Kind, Symbol.Repeater, Symbol.ResolvingAction, Symbol.Root, Symbol.Sequence, Symbol.SkipAction, Symbol.UnionAdjustAction, Symbol.WriterUnionAction`

## Field Summary

Fields
Modifier and Type
Field
Description
`final boolean`
`isTrailing`
Set to `true` if and only if this implicit action is a trailing action.

### Fields inherited from class org.apache.avro.io.parsing.Symbol

`ARRAY_END, ARRAY_START, BOOLEAN, BYTES, DEFAULT_END_ACTION, DOUBLE, ENUM, FIELD_ACTION, FIELD_END, FIXED, FLOAT, INT, ITEM_END, kind, LONG, MAP_END, MAP_KEY_MARKER, MAP_START, NULL, production, RECORD_END, RECORD_START, STRING, UNION, UNION_END, WRITER_UNION_ACTION`

## Method Summary

### Methods inherited from class org.apache.avro.io.parsing.Symbol

`defaultStartAction, enumAdjustAction, enumLabelsAction, fieldAdjustAction, fieldOrderAction, flatten, flattenedSize, flattenedSize, hasErrors, intCheckAction, skipAction, unionAdjustAction, writerUnionAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### isTrailing

public final boolean isTrailing
Set to `true` if and only if this implicit action is a trailing action. That is, it is an action that follows real symbol. E.g `Symbol.DEFAULT_END_ACTION`.